#
# spec file for package azure-cli-core
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           azure-cli-core
Version:        2.58.0
Release:        1.2
Summary:        Microsoft Azure CLI Core Module
License:        MIT
Group:          System/Management
URL:            https://github.com/Azure/azure-cli
Source:         https://files.pythonhosted.org/packages/source/a/azure-cli-core/azure-cli-core-%{version}.tar.gz
Source1:        LICENSE.txt
Patch0:         acc_disable-update-check.patch
BuildRequires:  azure-cli-nspkg
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-azure-nspkg >= 3.0.0
BuildRequires:  python3-setuptools
Requires:       azure-cli-nspkg
Requires:       azure-cli-telemetry >= 1.1.0
Requires:       python3-PyJWT >= 2.1.0
Requires:       python3-argcomplete < 4.0
Requires:       python3-argcomplete >= 3.1.1
Requires:       python3-azure-mgmt-core < 2.0.0
Requires:       python3-azure-mgmt-core >= 1.2.0
Requires:       python3-azure-nspkg >= 3.0.0
Requires:       python3-cryptography
Requires:       python3-humanfriendly < 11.0
Requires:       python3-humanfriendly >= 10.0
Requires:       python3-jmespath
Requires:       python3-knack < 1.0.0
Requires:       python3-knack >= 0.11.0
Requires:       python3-msal < 2.0.0
Requires:       python3-msal >= 1.26.0
Requires:       python3-msal-extensions < 2.0.0
Requires:       python3-msal-extensions >= 1.0.0
Requires:       python3-msrestazure < 0.7.0
Requires:       python3-msrestazure >= 0.6.4
Requires:       python3-packaging >= 20.9
Requires:       python3-paramiko < 4.0.0
Requires:       python3-paramiko >= 2.0.8
Requires:       python3-pip
Requires:       python3-pkginfo >= 1.5.0.1
Requires:       python3-psutil < 6.0
Requires:       python3-psutil >= 5.9
Requires:       python3-pyOpenSSL >= 17.1.0
Requires:       python3-requests < 3.0.0
Requires:       python3-requests >= 2.25.1
Requires:       python3-wheel >= 0.30.0
%if %{python3_version_nodots} < 34
Requires:       python-enum34 >= 1.0.4
%endif
Conflicts:      azure-cli < 2.0.0

BuildArch:      noarch

%description
Microsoft Azure CLI Core Module

%prep
%autosetup -p1 -n azure-cli-core-%{version}

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-cli-core-%{version}
python3 setup.py build

%install
python3 setup.py install --root=%{buildroot} --prefix=%{_prefix} --install-lib=%{python3_sitelib}
%fdupes %{buildroot}%{python3_sitelib}
rm -rf %{buildroot}%{python3_sitelib}/azure/cli/__init__.*
rm -rf %{buildroot}%{python3_sitelib}/azure/cli/__pycache__
rm -rf %{buildroot}%{python3_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{python3_sitelib}/azure/__pycache__

%files
%defattr(-,root,root,-)
%doc HISTORY.rst README.rst
%license LICENSE.txt
%{python3_sitelib}/azure/cli/core
%{python3_sitelib}/azure_cli_core-*.egg-info

%changelog
* Wed Mar  6 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.58.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Feb 20 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Wed Feb  7 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.57.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Jan 18 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.56.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Jan  3 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.55.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Nov 15 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.54.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Mon Oct 30 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.53.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Oct  4 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.53.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Sep  7 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.52.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Mon Aug 14 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.51.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Jul  6 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.50.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Drop patches for issues fixed upstream
  + acc_update-argcomplete.patch
- Update Requires from setup.py
* Wed May 24 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.49.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Add patch to update argcomplete dependency (bsc#1206869)
  + acc_update-argcomplete.patch
- Update Requires from setup.py
* Wed May  3 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.48.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Apr  4 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.47.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Mar  7 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release (bsc#1199592)
  + Version 2.46.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Feb  9 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.45.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Jan 18 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.44.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Jan 10 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.44.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Drop patches for issues fixed upstream
  + acc_update-argcomplete.patch
- Relax version dependency for python-packaging
  in BuildRequires (bsc#1206869)
* Tue Dec  6 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.43.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Tue Nov  1 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.42.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Thu Oct 13 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.41.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Fri Sep 16 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.40.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Refresh patches for new version
  + acc_disable-update-check.patch
  + acc_update-argcomplete.patch
- Update Requires from setup.py
* Mon Aug  8 2022 Dirk Müller <dmueller@suse.com>
- refresh previously empty acc_update-argcomplete.patch
* Thu Aug  4 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.39.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Jul 21 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Add patch to update argcomplete dependency
  + acc_update-argcomplete.patch
- Update Requires from setup.py
* Tue Jul  5 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.38.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue May 24 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.37.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Tue Apr 26 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.36.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Tue Apr 12 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.35.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Mon Mar  7 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.34.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Feb 23 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.33.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Fri Feb 11 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.33.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Mon Jan 10 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.32.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Tue Dec  7 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.31.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Remove bogus python-PyYAML dependency from Requires (bsc#1193394)
- Update Requires from setup.py
* Mon Nov  8 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.30.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Fri Oct 15 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.29.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Fri Sep 10 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.28.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Aug 25 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.27.2
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Fri Aug  6 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.27.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Jul 13 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.26.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Jul  1 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release (bsc#1187881)
  + Version 2.25.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Wed Jun  9 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.24.2
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Mon May 10 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.23.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Mar 25 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.21.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Jan 21 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.18.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Rework patch to disable automatic check for updates to
  fix a crash when calling "az --version" (bsc#1180930)
  + acc_disable-update-check.patch
- Update Requires from setup.py
* Fri Jan  8 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.17.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Dec 16 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.16.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Refresh patches for new version
  + acc_disable-update-check.patch
- Update Requires from setup.py
  + Temporarily use a vendored copy of azure-mgmt-resource
* Wed Nov 18 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.15.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Mon Nov 16 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.14.2
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Oct 13 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.13.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Override upstream version in Requires for python-azure-mgmt-resource
* Wed Sep 30 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.12.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Add patch to disable automatic check for updates (boo#1175289)
  + acc_disable-update-check.patch
* Tue Sep 22 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release (bsc#1176784, bsc#1176785)
  + Version 2.12.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Mon Aug 31 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.11.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Tue Aug 18 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release (boo#1175289)
  + Version 2.10.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Mon Jul 20 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.9.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Wed Jun 17 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.7.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu May  7 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.5.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Apr  2 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.3.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update BuildRequires and Requires from setup.py
* Tue Mar 10 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.2.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Mon Feb 24 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.1.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Relax version dependency for python-humanfriendly in Requires
- Update Requires from setup.py
* Thu Jan 16 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.80
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Jan  7 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.79
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Mon Jan  6 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.78
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Nov 28 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.77
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Thu Oct 24 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.75
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Drop patch to support older versions of setuptools as
  SLE-12 is now shipping with a recent enough version
  + acc_drop-compatible-releases-operator.patch
- Drop patch to relax version requires in setup.py, it's
  not required as the dependencies are managed by RPM
  + acc_relax-requires-versions.patch
- Update Requires from setup.py
* Tue Jun  4 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Add missing python-rpm-macros package to BuildRequires
- Remove unneccesary %%python_expand prefix from %%fdupes call
* Tue May 21 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.64
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + acc_drop-compatible-releases-operator.patch
- Refresh patches for new version
  + acc_relax-requires-versions.patch
- Update Requires from setup.py
* Tue Apr 16 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.58
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Bump minimum version for Python Azure SDK namespace
  packages to 3.0.0 in BuildRequires and Requires
- Relax upper version for python-tabulate build dependency (boo#1125671)
  + Cherry-pick fix from upstream to patch setup.py
  * acc_relax-requires-versions.patch
  + Remove upper version constraint in BuildRequires for python-tabulate
- Remove python3-devel package from BuildRequires
- Remove unzip package from BuildRequires
- Run fdupes to hardlink duplicate files
  + Add fdupes to BuildRequires
  + Add %%fdupes invocation to %%install
- Update Requires from setup.py
* Sun Mar  3 2019 Robert Schweikert <rjschwei@suse.com>
- Relax version requirement of tabluate, accept up to next minor version
* Mon Oct  1 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 2.0.45
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Update Requires from setup.py
* Wed May  2 2018 adrian.glaubitz@suse.com
- Fix typo in Requires:
  + python3-PyOpenSSL => python3-pyOpenSSL
* Mon Apr 23 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 2.0.31
- Move LICENSE.txt from %%doc to %%license section
- Update Requires from setup.py
* Thu Feb  8 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 2.0.26
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Install HISTORY.rst into doc directory
- Update Requires from setup.py
* Wed Sep 27 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 2.0.17
